<template>
  <div class="booking-entry">
    <h5 class="card-title">Booking {{ bookingCount }}</h5>
    <div class="row">
      <div id="left" class="col">
        <p class="card-text">Booking ID: </p>
        <p class="card-text">Booking Status: </p>
        <p class="card-text">Name: </p>
        <p class="card-text">Mobile Number: </p>
        <p class="card-text">Restaurant Name: </p>
        <p class="card-text">Date: </p>
        <p class="card-text">Time: </p>
        <p class="card-text">Number of Guests: </p>
        <p class="card-text">Additional Notes: </p>
      </div>
      <div id="right" class="col">
        <p class="card-text" id="bookingId">{{ bookingId }}</p>
        <p class="card-text">{{ status }}</p>
        <p class="card-text">{{ name }}</p>
        <p class="card-text">{{ mobile }}</p>
        <p class="card-text">{{ restaurant }}</p>
        <p class="card-text">{{ date }}</p>
        <p class="card-text">{{ time }}</p>
        <p class="card-text">{{ pax }}</p>
        <p class="card-text">{{ notes }}</p>
      </div>
    </div>
    <!-- Booking Buttons -->
    <div class="card-body button-container">
      <button class="btn btn-light" @click="edit_button">Edit</button>
      <button class="btn btn-light" @click="delete_button">Delete</button>
    </div>
    <div>
      <p><slot></slot></p>
    </div>
  </div>
</template>

<script>
export default {
  name: "Booking",
  props: {
    bookingCount: {
      type: Number,
    },
    bookingId: {
      type: String,
      required: true
    },
    status: {
      type: String,
      required: true
    },
    name: {
      type: String,
      required: true
    },
    mobile: {
      type: String,
      required: true
    },
    restaurant: {
      type: String,
      required: true
    },
    date: {
      type: String,
      required: true
    },
    time: {
      type: String,
      required: true
    },
    pax: {
      type: Number,
      required: true
    },
    notes: {
      type: String
    }
  },
  emits: ["edit_clicked", "delete_clicked"],
  methods: {
    edit_button() {
      this.$emit("edit_clicked")
    },
    delete_button() {
      this.$emit("delete_clicked")
    }
  }
}
</script>

<style scoped>
#left {
  min-width: 5rem;
}

#right {
  min-width: 7rem;
}

.card-title {
  color: #9b7272;
  padding: 2rem 0;
  background-color: transparent;
}

.btn {
  color: #584141;
  background-color: #f3f3f3;
  border-color: #c6c6c6;
  margin: 0.5rem;
}

.btn:hover {
  background-color: #a97c7c;
  color: #f6ede3;
}

.booking-entry {
  margin: auto;
  padding: 1rem 2rem;
  min-width: 40rem;
}

.button-container {
  display: flex;
  justify-content: right;
}

@media (max-width: 700px) {
  p, .btn {
    font-size: small;
  }

  .booking-entry {
    padding: 0.5rem 0;
    min-width: 20rem;
  }

  #bookingId {
    font-size: 0.7rem;
  }

  .card-title {
    font-size: 1rem;
  }
}
</style>